#pragma once

/*
	GameEngine and Editor
	by John Ryland
	Copyright (c) 2023
*/

////////////////////////////////////////////////////////////////////////////////////
//	Text Editor View

#include "IView.h"
#include "TextEditor.h"
#include "Application.h"

namespace GameEngine {

class TextEditorView : public IView
{
public:
    TextEditorView(const ApplicationFramework::IApplication& app);

    void AddShowMenuItem() override;

    void Initialize() override;
    void Shutdown() override;
    void Update() override;
private:
    TextEditor    m_textEditor;
    bool          m_open = true;
    const ApplicationFramework::IApplication& m_application;
};

} // GameEngine namespace
